android – Failed to resolve: com.google.firebase:firebase-core:15.0.0-ThrowExceptions

Exception or error:

I have a strange issue when integrate firebase:

enter image description here

How to solve:

if you integrate firebase automatically from tools,
The new version of android studio have strange bug, the software inserts

    implementation 'com.google.firebase:firebase-database:16.0.1:15.0.0'

instead of

    implementation 'com.google.firebase:firebase-database:16.0.1'

fix this line (remove numbers after last ‘:’)

enter image description here

###

Remove the

implementation 'com.google.firebase:firebase-database:16.0.1:15.0.0'

and add only

implementation 'com.google.firebase:firebase-database:16.0.1'

Because 16.0.1 is added by our self and while after that we connect firebase using the plugin in the studio, it adds a new lib file with 15.0.0.
So that’s not required.

###

Step 1 :

In your root build.gradle file add the repo:

allprojects {
  repositories {
   google()
   maven { url "https://maven.google.com" }
 }
}

Now Sync Gradle. This is the directory that contains the repos of Firebase.

Step 2 :(if step 1 doesn’t works)

If the Step 1 doesn’t works, then it should be because you are using the Gradle in offline mode. If your gradle is set to offline, android studio searches for the cached copies of the dependencies that you want to update and throws an error since it hasn’t downloaded the file before.

Go to Settings >> Build, Execution, Deployment >> Gradle.
In the Global Gradle Settings section, disable Offline mode.

Now Sync Gradle again.

###

Use implementation com.google.firebase:firebase-database:16.0.1 as many wrote before. But also add the line: kapt com.google.firebase:firebase-database:16.0.1:15.0.0
this way firebase keep “Dependencies set up correctly”.

###

after

implementation com.google.firebase:firebase-database:16.0.1
kapt 'com.google.firebase:firebase-database:16.0.1:15.0.0'

add the kapt, it fixed for me

###

Updated all the dependencies to

dependencies {
  implementation "com.google.android.gms:play-services-base:16.0.1"
  implementation 'com.google.android.gms:play-services-maps:16.0.0'
  implementation 'com.google.android.gms:play-services-location:16.0.0'
  implementation fileTree(dir: 'libs', include: ['*.jar'])
  implementation 'com.android.support:appcompat-v7:28.0.0'
  implementation 'com.android.support.constraint:constraint-layout:1.1.3'
  testImplementation 'junit:junit:4.12'
  androidTestImplementation 'com.android.support.test:runner:1.0.2'
  androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'
  implementation 'com.google.firebase:firebase-core:16.0.6'
  implementation 'com.google.firebase:firebase-auth:16.0.1'
  implementation 'com.google.firebase:firebase-database:16.0.5'
}

then build -> clean project, build -> rebuild project and is working

Leave a Reply

Your email address will not be published. Required fields are marked *